%define qtdir %_prefix/lib/qt3
%define __libtoolize true

Name: kdesvn
Version: 0.11.1
Release:	%mkrel 1
Summary:	kdesvn is yet another client for subversion
License:	GPL
Url: http://www.alwins-world.de/programs/kdesvn/
Packager:       Mandriva Linux KDE Team <kde@mandriva.com>
Group: Graphical desktop/KDE
Source0:	http://www.alwins-world.de/programs/download/kdesvn/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: graphviz
BuildRequires:	cmake
BuildRequires:	kdelibs-devel 
BuildRequires:	subversion-devel >= 1.2
BuildRequires: neon-devel
BuildRequires: apr-devel

%description
kdesvn is yet another client for subversion. But it uses native 
KDE API instead of a extra lib like GAMBAS and it is using the 
native subversion delevelopment API instead of just parsing the 
output of the commandline tool like most other clients do. It tries 
to setup a look and feel like the standard filemanager of KDE and is 
integrated into it via KPart.
The base C++ interface to subversion I took from the (real great) tool 
Rapidsvn (see http://rapidsvn.tigris.org/) with some modifcations and fixes.

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog
%_bindir/*
%_libdir/kde3/*
%_menudir/kdesvn
%_datadir/apps/*
%_docdir/HTML/*/*
%_iconsdir/*/*/*/*
%_datadir/locale/*/*
%_datadir/applications/*
%_datadir/config.kcfg/*
%_datadir/services/*
%_datadir/man/man1/kdesvn.1.bz2
%_datadir/man/man1/kdesvnaskpass.1.bz2

#-----------------------------------------------------------------

%define lib_svn_qt %mklibname svnqt 2
%define invalid_lib %mklibname svnqt 1

%package -n %lib_svn_qt
Summary: KDE Svn core library
Group: Graphical desktop/KDE
Obsoletes: %invalid_lib 

%post -n %lib_svn_qt -p /sbin/ldconfig
%postun -n %lib_svn_qt -p /sbin/ldconfig

%description -n %lib_svn_qt
KDE Svn core library

%files -n %lib_svn_qt
%defattr(-,root,root,-)
%_libdir/*.so.*

#-----------------------------------------------------------------

%package devel
Summary: kdesvn devel package
Group: Development/KDE and Qt
Requires: %lib_svn_qt = %version-%release

%description devel
kdesvn devel package

%files devel 
%defattr(-,root,root,-)
%_includedir/*
%_libdir/*.so
%_libdir/*.la

#-----------------------------------------------------------------

%prep
%setup -q

%build
export QTDIR=%qtdir
export KDEDIR=%_prefix
cmake \
%if "%{_lib}" != "lib"
-DLIB_SUFFIX=64 \
%endif
-DCMAKE_INSTALL_PREFIX=%_prefix .

%make

%install
rm -rf %buildroot

make DESTDIR=%buildroot install

# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl %name "More Applications/Development/Development Environments" %buildroot/%_datadir/applications/kde/kdesvn.desktop %buildroot/%_menudir/%name

%clean
rm -rf %buildroot




%changelog
* Mon Mar 05 2007 Laurent Montel <lmontel@mandriva.com> 0.11.1-1mdv2007.0
+ Revision: 133103
- 0.11.1
- 0.11.0
- Add sources
- 0.10.0
  Now it used cmake
- Necessary to generate makefile

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Remove unused source
    - Remove patch as it broken menu entry under KDE original menu

* Mon Aug 28 2006 Laurent Montel <lmontel@mandriva.com> 0.9.2-1mdv2007.0
+ Revision: 58273
- 0.9.2

* Fri Jul 28 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.1-2mdv2007.0
+ Revision: 42486
- Added graphviz dependency. http://qa.mandriva.com/show_bug.cgi?id=23988

* Mon Jul 24 2006 Laurent Montel <lmontel@mandriva.com> 0.9.1-1mdv2007.0
+ Revision: 41961
- 0.9.1

* Tue Jul 18 2006 Laurent Montel <lmontel@mandriva.com> 0.9.0-1mdv2007.0
+ Revision: 41517
- 0.9.0
- 0.8.5
- Fix duplicate menu into new xdg menu
- 0.8.4
  Real fix for x86_64

  + Helio Chissini de Castro <helio@mandriva.com>
    - Small fixes on kdesvn to avoid global warnings on youri
    - Subversion test
    - Changed soname. Got caught in the upgrade.
    - New upstream release 0.8.3
    - Fix again the svn/regular commit breakage.
      * Seg Abr 24 2006 Jerome Martin <jmartin@mandriva.org> 0.8.2-1mdk
    - 0.8.2
    - Miss ldconfig on library
    - New upstream release 0.8.0
    - Created libsvnqt and devel subpackages
    - Increase release
    - Humanmistake under pressure. I need vacations soon or will become too
      depressed because the trashing snowball hitting me
    - Make suitable for other non %%ix86 32 bits archs. Thanks to L. Montel for point this
    - Fixed changelog to make it back to svn
    - Fix compilation against x86_64

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Increase release
    - Fix Description size
    - Add a warning ( kdesvn is in svn)

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway


* Thu Mar 02 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.4-1mdk
- 0.7.4

* Wed Feb 01 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-1mdk
- 0.7.3

* Fri Jan 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-3mdk
- Missing postun postin

* Fri Jan 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-2mdk
- Use --enable-final
- Fix missing file

* Thu Jan 12 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1mdk
- Clean spec
- 0.7.2
- Add menu entry

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-2mdk
- rebuilt against new openldap-2.3.6 libs

* Wed Aug 17 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 08:54:38 (674)
- First package to Mandriva contrib

* Wed Aug 17 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 08:05:45 (673)
- Created package structure for kdesvn.
